org.hibernate.validator.internal.cdi.interceptor

## Class ValidationEnabledAnnotatedCallable<T>

- java.lang.Object
- - org.hibernate.validator.internal.cdi.interceptor.ValidationEnabledAnnotatedCallable<T>

- All Implemented Interfaces:
    Annotated, AnnotatedCallable<T>, AnnotatedMember<T>
  Direct Known Subclasses:
    ValidationEnabledAnnotatedConstructor, ValidationEnabledAnnotatedMethod

      public abstract class ValidationEnabledAnnotatedCallable<T>
      extends Object
      implements AnnotatedCallable<T>

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationEnabledAnnotatedCallable(AnnotatedCallable<T> callable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends Annotation> A` | `getAnnotation(Class<A> annotationType)`
    `Set<Annotation>` | `getAnnotations()`
    `Type` | `getBaseType()`
    `AnnotatedType<T>` | `getDeclaringType()`
    `List<AnnotatedParameter<T>>` | `getParameters()`
    `Set<Type>` | `getTypeClosure()`
    `boolean` | `isAnnotationPresent(Class<? extends Annotation> annotationType)`
    `boolean` | `isStatic()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.enterprise.inject.spi.AnnotatedMember

      `getJavaMember`

- - ### Constructor Detail

    - #### ValidationEnabledAnnotatedCallable

          public ValidationEnabledAnnotatedCallable(AnnotatedCallable<T> callable)

  - ### Method Detail

    - #### isStatic

          public boolean isStatic()

      Specified by:
        `isStatic` in interface `AnnotatedMember<T>`

    - #### getDeclaringType

          public AnnotatedType<T> getDeclaringType()

      Specified by:
        `getDeclaringType` in interface `AnnotatedMember<T>`

    - #### getParameters

          public List<AnnotatedParameter<T>> getParameters()

      Specified by:
        `getParameters` in interface `AnnotatedCallable<T>`

    - #### getBaseType

          public Type getBaseType()

      Specified by:
        `getBaseType` in interface `Annotated`

    - #### getTypeClosure

          public Set<Type> getTypeClosure()

      Specified by:
        `getTypeClosure` in interface `Annotated`

    - #### getAnnotation

          public <A extends Annotation> A getAnnotation(Class<A> annotationType)

      Specified by:
        `getAnnotation` in interface `Annotated`

    - #### getAnnotations

          public Set<Annotation> getAnnotations()

      Specified by:
        `getAnnotations` in interface `Annotated`

    - #### isAnnotationPresent

          public boolean isAnnotationPresent(Class<? extends Annotation> annotationType)

      Specified by:
        `isAnnotationPresent` in interface `Annotated`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved